Summary: A text-based Web browser.
Name: lynx-ssl
Version: 2.8.4
Release: 5tr
License: GPL
Group: Network/Clients
Source0: ftp://www.slcc.edu/pub/lynx/current/lynx%{version}rel.1.tar.gz
Patch105: lynx-2.8.3-trustix.patch
Requires: openssl >= 0.9.0b
Obsoletes: lynx
Provides: webclient
%define VER 2-8-4
Buildroot: /var/tmp/%{name}-root

%description
Lynx is a text-based Web browser. Lynx does not display any images,
but it does support frames, tables and most other HTML tags. Lynx's
advantage over graphical browsers is its speed: Lynx starts and exits
quickly and swiftly when displaying Web pages.

This SSL patch package for Lynx provides the ability to make use of SSL
over HTTP for secure access to web sites (HTTPS) and over NNTP for secure
access to news servers (SNEWS).  SSL is handled transparently, allowing
users to continue accessing web sites and news services from within Lynx
through the same interface for both secure and standard transfers.  These
patches are based on, and require, the SSLeay libraries.

%prep
%setup -q -n lynx%{VER}
%patch105 -p1 -b .trustix

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr \
	--libdir=/etc \
	--mandir=%{_mandir}/man1 \
	--enable-charset-choice\
	--with-screen=slang \
	--enable-warnings \
	--enable-default-colors \
	--enable-externs \
	--enable-internal-links \
	--enable-nsl-fork \
	--enable-persistent-cookies \
	--with-ssl \
	--with-zlib 
make

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/usr \
	mandir=$RPM_BUILD_ROOT%{_mandir}/man1 \
	libdir=$RPM_BUILD_ROOT/etc
strip $RPM_BUILD_ROOT/usr/bin/lynx

# Try to remove perl dependency on docs
chmod -x samples/*.pl

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc docs README INSTALLATION samples
%doc test lynx.hlp lynx_help
/usr/bin/lynx
%{_mandir}/man1/lynx.1*
%config /etc/lynx.cfg

%changelog
* Wed Jun 25 2003 Erlend Midttun <erlendbm at trustix dot com> 2.8.4-5tr
- Try to remove perl dependency in docs.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 2.8.4-4tr
- Big rebuild

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 2.8.4-3em
- Rebuilt against glibc 2.3.2.

* Sun Jan 19 2003 Gerald Dachs <gda at trustix dot org> 2.8.4-2gd
- rebuilt against openssl 0.9.7

* Thu Aug 15 2002 Christian H. Toldnes <christht at trustix dot com> 2.8.4-1ct
- New upstream version
- .spec cleanups
- Now provides ssl internally, no patch needed. :)

* Tue Jul 23 2002 Daniel Meyer <eagle at trustix dot org> 2.8.3-4dm
- rebuild for Trustix Secure Linux 2.0

* Mon May 15 2000 Erlend Midttun <erlendbm at trustix dot com>
- Upgraded to version 2.8.3
- Removed X files
- Removed patches no longer needed

* Mon Apr 19 1999 Trevor Astrope <astrope@tabbweb.com>
- built lynx with ssl support using Mark Mentovai's patch.
- renamed package to lynx-ssl and obsoleted lynx to avoid conflicts

* Mon Mar 29 1999 Bill Nottingham <notting@redhat.com>
- apply some update patches from the lynx folks
- set user's TEMP dir to their home dir to avoid /tmp races

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 10)

* Wed Feb 24 1999 Bill Nottingham <notting@redhat.com>
- return of wmconfig

* Mon Nov 30 1998 Bill Nottingham <notting@redhat.com>
- create cookie file 0600

* Fri Nov  6 1998 Bill Nottingham <notting@redhat.com>
- update to 2.8.1rel2

* Thu Oct 29 1998 Bill Nottingham <notting@redhat.com>
- build for Raw Hide (slang-1.2.2)

* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- 2.8.1pre9
- strip binaries

* Mon Oct 05 1998 Cristian Gafton <gafton@redhat.com>
- updated to lynx2.8.1pre.7.tar.gz

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon May 04 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 2.8rel3
- fixed mailto: buffer overflow (used Alan's patch)

* Fri Mar 20 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.8
- added buildroot

* Tue Jan 13 1998 Erik Troan <ewt@redhat.com>
- updated to 2.7.2
- enabled lynxcgi

* Thu Oct 23 1997 Donnie Barnes <djb@redhat.com>
- updated from 2.6 to 2.7.1
- moved /usr/lib/lynx.cfg to /etc/lynx.cfg
- build with slang instead of ncurses
- made default startup file be file:/usr/doc/HTML/index.html

